ghc-8.0.2: The GHC API

Safe Haskell | None
Language | Haskell2010

RegAlloc.Linear.PPC.FreeRegs

Description

Free regs map for PowerPC

# Documentation

data FreeRegs Source #

Constructors

FreeRegs !Word32 !Word32 |

Instances

Show FreeRegs # |
Methods showsPrec :: Int -> FreeRegs -> ShowS Source # show :: FreeRegs -> String Source # showList :: [FreeRegs] -> ShowS Source #
FR FreeRegs # |
Methods frAllocateReg :: Platform -> RealReg -> FreeRegs -> FreeRegs Source # frGetFreeRegs :: Platform -> RegClass -> FreeRegs -> [RealReg] Source # frInitFreeRegs :: Platform -> FreeRegs Source # frReleaseReg :: Platform -> RealReg -> FreeRegs -> FreeRegs Source #

noFreeRegs :: FreeRegs Source #

releaseReg :: RealReg -> FreeRegs -> FreeRegs Source #

initFreeRegs :: Platform -> FreeRegs Source #

getFreeRegs :: RegClass -> FreeRegs -> [RealReg] Source #

allocateReg :: RealReg -> FreeRegs -> FreeRegs Source #